Gtk2::ToolButton(3)

NAME
Gtk2::ToolButton - wrapper for GtkToolButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::ToolItem
                                +----Gtk2::ToolButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  toolitem = Gtk2::ToolButton->new ($icon_widget, $label)

•   $icon_widget (Gtk2::Widget or undef)

•   $label (string or undef)

  toolitem = Gtk2::ToolButton->new_from_stock ($stock_id)

•   $stock_id (string)

  string or undef = $button->get_icon_name
Since: gtk+ 2.8

  $button->set_icon_name ($icon_name)

•   $icon_name (string or undef)

Since: gtk+ 2.8

  widget or undef = $button->get_icon_widget

  $button->set_icon_widget ($icon_widget)

•   $icon_widget (Gtk2::Widget or undef)

  string or undef = $button->get_label

  $button->set_label ($label)

•   $label (string or undef)

  widget or undef = $button->get_label_widget

  $button->set_label_widget ($label_widget)

•   $label_widget (Gtk2::Widget or undef)

  string = $button->get_stock_id

  $button->set_stock_id ($stock_id)

•   $stock_id (string or undef)

  boolean = $button->get_use_underline

  $button->set_use_underline ($use_underline)

•   $use_underline (boolean)

PROPERTIES

'icon-name' (string : default undef : readable / writable / private)
    The name of the themed icon displayed on the item

'icon-widget' (Gtk2::Widget : default undef : readable / writable / private)
    Icon widget to display in the item

'label' (string : default undef : readable / writable / private)
    Text to show in the item.

'label-widget' (Gtk2::Widget : default undef : readable / writable / private)
    Widget to use as the item label

'stock-id' (string : default undef : readable / writable / private)
    The stock icon displayed on the item

'use-underline' (boolean : default false : readable / writable / private)
    If set, an underline in the label property indicates that the next character should be used for the mnemonic accelerator key in the overflow menu

STYLE PROPERTIES

'icon-spacing' (integer : default 3 : readable / writable / private)
    Spacing in pixels between the icon and label

SIGNALS

clicked (Gtk2::ToolButton)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::ToolItem

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.